"""Document the API for filter classes.

Since all output is buffered in Aquarium, it's really easy to run filters on
that output before sending it to the client.  (Aquarium filters should not be
confused with Cheetah filters, as the two features are entirely different.)
Often, a filter is just a bunch of regular expression substitutions wrapped in
a class.  Filters are subclasses of AquariumClass that have the following API:

The following methods are required:

``__call__(self, str)``
  Return a filtered version of str.

"""

__docformat__ = "restructuredtext"

# Created: Mon Apr  2 15:59:29 PDT 2001
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.
